Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.etee
Interface CertificateChecker

All Known Implementing Classes:
  ConnectorCertificateChecker

    public interface CertificateChecker

Interface for the certifcation checker. Default impl : `ConnectorCertificateChecker`

Method Summary
`boolean` | `isCertificateRevoked(File certFile)`
`boolean` | `isCertificateRevoked(File certFile, org.joda.time.DateTime validOn)`
`boolean` | `isCertificateRevoked(X509Certificate cert)`
`boolean` | `isCertificateRevoked(X509Certificate cert, org.joda.time.DateTime validOn)`
`boolean` | `isValidCertificateChain(List<X509Certificate> certificateChain)`
`boolean` | `isValidCertificateChain(List<X509Certificate> certificateChain, org.joda.time.DateTime validOn)`

Method Detail

### isCertificateRevoked

    boolean isCertificateRevoked(File certFile)
                                 throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### isCertificateRevoked

    boolean isCertificateRevoked(X509Certificate cert)
                                 throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### isCertificateRevoked

    boolean isCertificateRevoked(File certFile,
                                 org.joda.time.DateTime validOn)
                                 throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### isCertificateRevoked

    boolean isCertificateRevoked(X509Certificate cert,
                                 org.joda.time.DateTime validOn)
                                 throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### isValidCertificateChain

    boolean isValidCertificateChain(List<X509Certificate> certificateChain)
                                    throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### isValidCertificateChain

    boolean isValidCertificateChain(List<X509Certificate> certificateChain,
                                    org.joda.time.DateTime validOn)
                                    throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TECHNICAL 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.